# NewGamePhysics.Physics.GravityFieldCoefficient Class Reference

Gravity Field Coefficient (GFC) used to represent a gravity models. Reference: http://icgem.gfz-potsdam.de/ICGEM/ICGEM.html. More...

List of all members.

## Public Member Functions
| GravityFieldCoefficient (int l, int m, double c, double s)
| Creates new gcf coefficient.
override string | ToString ()
| String representation of gfc coefficient.
## Properties
int | L`[get, set]`
| Gets or set the L-order.
int | M`[get, set]`
| Gets or sets the M-order.
double | C`[get, set]`
| Gets or sets the C_lm coefficient.
double | S`[get, set]`
| Gets or sets the S_lm coefficient.

## Detailed Description

Gravity Field Coefficient (GFC) used to represent a gravity models. Reference: http://icgem.gfz-potsdam.de/ICGEM/ICGEM.html.

Definition at line 15 of file GravityFieldCoefficient.cs.

## Constructor & Destructor Documentation

NewGamePhysics.Physics.GravityFieldCoefficient.GravityFieldCoefficient | ( | int | l,
|  | int | m,
|  | double | c,
|  | double | s |
| ) |  |  |

Creates new gcf coefficient.

Parameters:

  | l | L-order
  | m | M-order
  | c | C_lm coeff
  | s | S_lm coeff

Definition at line 80 of file GravityFieldCoefficient.cs.

    00081         {
    00082             this.l = l;
    00083             this.m = m;
    00084             this.c = c;
    00085             this.s = s;
    00086         }

## Member Function Documentation

override string NewGamePhysics.Physics.GravityFieldCoefficient.ToString | ( |  | ) |

String representation of gfc coefficient.

Returns:

Definition at line 92 of file GravityFieldCoefficient.cs.

    00093         {
    00094             return String.Format(
    00095                 "gfc {0} {1} {2} {3}",
    00096                 this.l,
    00097                 this.m,
    00098                 this.c,
    00099                 this.s);
    00100         }

## Property Documentation

double NewGamePhysics.Physics.GravityFieldCoefficient.C`[get, set]`

Gets or sets the C_lm coefficient.

Definition at line 59 of file GravityFieldCoefficient.cs.

int NewGamePhysics.Physics.GravityFieldCoefficient.L`[get, set]`

Gets or set the L-order.

Definition at line 41 of file GravityFieldCoefficient.cs.

int NewGamePhysics.Physics.GravityFieldCoefficient.M`[get, set]`

Gets or sets the M-order.

Definition at line 50 of file GravityFieldCoefficient.cs.

double NewGamePhysics.Physics.GravityFieldCoefficient.S`[get, set]`

Gets or sets the S_lm coefficient.

Definition at line 68 of file GravityFieldCoefficient.cs.

The documentation for this class was generated from the following file:

- C:/Users/Andreas Schiffler/Desktop/SVN/NewGamePhysics/NewGamePhysics/Physics/GravityFieldCoefficient.cs